Arch Ejes

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Axis and the translation is 42% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Previous: Arch CompAxis.png Arch CompAxis

Arch Axis.svg Ejes de arquitectura

Ubicación en el Menú
Arquitectura → Ejes
Entornos de trabajo
Arquitectura
Atajo de teclado por defecto
A X
Introducido en versión
-
Ver también
None


Descripción

La herramienta Ejes te permite situar un sistema de ejes en el documento actual. La distancia y ángulo entre ejes es personalizable, así como el estilo de numeración. Los ejes sirven proncipalmente como referencias a las que ajustar objetos, pero se pueden utilizar en conjunto con estructuras para crear matrices paramétricas de vigas o columnas.

Arch Axis example.jpg

La imagen de arriba muestra dos objetos de eje diferentes posicionados perpendicularmente entre sí

Utilización

  1. Presiona el botón Arch Axis.png Arch Axis, o pulsa las teclas A y X
  2. Mover/Rotar el sistema de ejes a la posición deseada
  3. Entrar en modo de edición haciendo doble clic en el sistema de ejes en la vista de árbol para ajustar sus parámetros como el número de ejes, distancias y ángulos entre ejes.

Opciones

  • Cada eje en la sucesión tiene su propia distancia y ángulo en relación con el eje previo. Esto permite crear sistemas muy complejos como sistemas no ortogonales, sistemas polares o culquier tipo de sistemas no uniformes.
  • Hacer doble clic en el eje en la vista en árbol permite editar las distancias, los ángulos y las etiquetas de cada eje
  • La longitud de los ejes, el tamaño de los globos y los estilos de numeración se pueden personalizar directamente por medio de las propiedades de los sistemas de ejes
  • Cada eje también puede mostrar una etiqueta, también editable a través del diálogo del panel de tareas

Propiedades

  • DATOSLength: La longitud de los ejes
  • VISTABubble Size: El tamaño de los globos de los ejes
  • VISTANumeration style: Cómo se numeran los ejes: 1,2,3, A,B,C, etc...
  • VISTABubble Position: Donde la burbuja se coloca en el eje: En el punto de inicio, punto final, ambos o ninguno.
  • VISTAFont Name: Una fuente para dibujar el número de burbuja y/o las etiquetas
  • VISTAFont Size: El tamaño del texto de la etiqueta solamente (el texto de la burbuja está controlado por el tamaño de la burbuja)
  • VISTAShow Labels: Activa/desactiva la visualización de los textos de las etiquetas

Programación

La herramienta Ejes se puede utilizar en macros y desde la consola por medio de las siguientes funciones:

Axes = makeAxis(num=5, size=1000, name="Axes")
crea un sistema de ejes basado en el número dado de ejes y distancia de intervalo

Ejemplo:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()